---
layout: mockup
title: "Messages"
theme: Adwaita/Adwaita.css
permalink: messages/muc/people
wallpaper: triangles
---
<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/messages.css">
<script type="text/javascript" src="{{ site.baseurl }}/js/simple-jekyll-search.min.js"></script>

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar grouped">
		<div class="button-group float-left">
			<a class="button image-button" onclick="$('#newMessageDialog').show();">{%- include symbolic/actions/contact-new-symbolic.svg -%}</a>
		</div>
		<div class="title-group">
			<div class="title">People</div>
		</div>
		<div class="button-group float-right">
			<a class="button image-button" onclick="$('#messagesPeopleSearchToolbar').toggleClass('hidden');">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a><a class="button image-button">{%- include symbolic/actions/open-menu-symbolic.svg -%}</a>
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content with-toolbar" id="messagesView">
		<div class="view">
			<div class="row full">
				<!-- toolbar -->
				<div class="toolbar top text-left hidden" id="messagesPeopleSearchToolbar">
					<input type="search" id="messagesContactsSearch" class="entry full-width" placeholder="Find Person">
				</div>
				<ul class="listrow messagesList">
					{%- for contact in site.data.contacts -%}
						{% if contact.available == true %}
							<li class="medium" id="{{ contact.num }}" onclick="$('#conversationViewDialog').show();">
								<div class="avatar small float-left" style="background-image: url({{ site.baseurl }}/img/heads/people/{{ contact.picture }}.jpg);">{% if contact.available == true %} <div class="status-icon"></div>{% endif %}</div>
								<label>{{ contact.name }}</label>
								<div class="icon s16 float-right">{%- include symbolic/status/user-available-symbolic.svg -%}</div>
							</li>
						{% endif %}
					{%- endfor -%}
					{%- for contact in site.data.contacts -%}
						{% if contact.available == false %}
							<li class="medium" id="{{ contact.num }}" onclick="$('#conversationViewDialog').show();">
								<div class="avatar small float-left" style="background-image: url({{ site.baseurl }}/img/heads/people/{{ contact.picture }}.jpg);"></div>
								<label>{{ contact.name }}</label>
								<div class="icon s16 dim-label float-right">{%- include symbolic/status/user-available-symbolic.svg -%}</div>
							</li>
						{% endif %}
					{%- endfor -%}
				</ul>
			</div>
		</div>
	</div>
	<div class="toolbar bottom text-center show-on-mobile">
		<div class="view-switcher" id="messagesViewSwitcher">
			<a href="{{ site.baseurl}}/messages/muc/chats" class=""><div class="icon s16">{%- include symbolic/status/user-available-symbolic.svg -%}</div><span>Chats</span></a>
			<a href="{{ site.baseurl}}/messages/muc/people" class="active"><div class="icon s16">{%- include symbolic/status/avatar-default-symbolic.svg -%}</div><span><b>People</b></span></a>
			<a href="{{ site.baseurl}}/messages/muc/groups"><div class="icon s16">{%- include symbolic/apps/system-users-symbolic.svg -%}</div><span>Groups</span></a>
		</div>
	</div>
	<!-- New Message Dialog -->
	<div class="gtkdialog" id="newMessageDialog">
		<div class="gtkdialog-window large">
			<div class="titlebar grouped">
				<div class="button-group float-left">
					<!-- <a class="button image-button" onclick="$('#newMessageDialog').hide();">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a> -->
				</div>
				<div class="title-group">
					<span class="title">New Message</span>
				</div>
				<div class="button-group float-right">
					<a class="button text-button" onclick="$('#newMessageDialog').hide();">Cancel</a>
				</div>
			</div>
			<div class="gtkdialog-content" id="newMessageView">
				<!-- toolbar -->
				<div class="toolbar top text-left">
					<input type="search" id="messagesContactsSearch" class="entry full-width" placeholder="To">
				</div>
				<div class="row full">
					<ul class="listrow messagesList" id="messagesContactsResults">
					</ul>
				</div>
			</div>
			<!-- compose bar -->
			<div class="toolbar bottom">
				<a class="button image-button float-left" style="margin-right: 0;">{%- include symbolic/status/mail-attachment-symbolic.svg -%}</a>
				<div class="linked float-right" style="margin-right: 0;width: calc(100% - 40px);">
					<input type="text" class="entry left" placeholder="Compose message..." style="width: calc(100% - 56px);"><a class="button image-button right" onclick="$('#newMessageDialog').hide();">{%- include symbolic/actions/mail-send-symbolic.svg -%}</a>
				</div>
			</div>
		</div>
	</div>
	<!-- Conversation View Dialog -->
	<div class="gtkdialog" id="conversationViewDialog">
		<div class="gtkdialog-window large">
			<div class="titlebar grouped">
				<div class="button-group float-left">
					<a class="button image-button" onclick="$('#conversationViewDialog').hide();">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
				</div>
				<div class="title-group">
					<span class="title">${Contact Name}</span>
				</div>
				<div class="button-group float-right">
					<a class="button image-button" id="conversationViewPopover">{%- include symbolic/actions/view-more-symbolic.svg -%}</a>
				</div>
			</div>
			<div class="gtkdialog-content" id="conversationView">
				<ul class="conversation-list">
					<li class="messageSent" style="margin-bottom: 6px"><br></li>
					<li class="messageRecieved"></li>
					<li class="messageRecieved" style="margin-bottom: 6px"><br></li>
					<span class="dim-label messageTimestamp">Today, 12:34 PM</span>
					<li class="messageSent"><br><br><br></li>
					<li class="messageSent"style="margin-bottom: 6px"></li>
					<li class="messageRecieved" style="margin-bottom: 6px"></li>
					<li class="messageSent"></li>
				</ul>
			</div>
			<!-- compose bar -->
			<div class="toolbar bottom">
				<a class="button image-button float-left" style="margin-right: 0;">{%- include symbolic/status/mail-attachment-symbolic.svg -%}</a>
				<div class="linked float-right" style="margin-right: 0;width: calc(100% - 40px);">
					<input type="text" class="entry left" placeholder="Compose message..." style="width: calc(100% - 56px);"><a class="button image-button right" onclick="$('#conversationViewDialog').hide();">{%- include symbolic/actions/mail-send-symbolic.svg -%}</a>
				</div>
			</div>
		</div>
	</div>
	<!-- Unknown Contact Dialog -->
	<div class="gtkdialog" id="conversationViewUnknownContactDialog">
		<div class="gtkdialog-window large">
			<div class="titlebar grouped">
				<div class="button-group float-left">
					<a class="button image-button" onclick="$('#conversationViewUnknownContactDialog').hide();">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
				</div>
				<div class="title-group">
					<span class="title">${New/Unknown Contact}</span>
				</div>
				<div class="button-group float-right">
					<a class="button image-button" id="conversationViewUnknownContactPopover">{%- include symbolic/actions/view-more-symbolic.svg -%}</a>
				</div>
			</div>
			<div class="gtkdialog-content" id="conversationView">
				<div class="toolbar top text-left"><span>This contact is not in your address book.</span><a class="button image-button float-right" alt="Add to GNOME Contacts">{%- include symbolic/actions/contact-new-symbolic.svg -%}</a></div>
				<ul class="conversation-list">
					<span class="dim-label"><div class="icon s32">{%- include symbolic/status/changes-allow-symbolic.svg -%}</div></span>
					<span class="dim-label">This is an SMS conversation.</span>
					<span class="dim-label">Your messages are not encrypted, and carrier rates may apply.</span>
					<br><br>
					<span class="dim-label messageTimestamp">Today, 12:34 PM</span>
					<li class="messageSent" style="margin-bottom: 6px">Hello</li>
				</ul>
			</div>
			<!-- compose bar -->
			<div class="toolbar bottom">
				<a class="button image-button float-left" style="margin-right: 0;">{%- include symbolic/status/mail-attachment-symbolic.svg -%}</a>
				<div class="linked float-right" style="margin-right: 0;width: calc(100% - 40px);">
					<input type="text" class="entry left" placeholder="Compose message..." style="width: calc(100% - 56px);"><a class="button image-button right" onclick="$('#conversationViewUnknownContactDialog').hide();">{%- include symbolic/actions/mail-send-symbolic.svg -%}</a>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">

// search function
window.simpleJekyllSearch = new SimpleJekyllSearch({
	searchInput: document.getElementById('messagesContactsSearch'),
	resultsContainer: document.getElementById('messagesContactsResults'),
	json: '{{ site.baseurl}}/{{ page.permalink }}/contacts.json',
	searchResultTemplate: '<li class="medium" onclick="$(&apos;#{num}&apos;).removeClass(&apos;hidden&apos;);$(this).hide();"><div class="avatar small float-left" style="background-image: url({{ site.baseurl }}/img/heads/people/{picture}.jpg);"></div><div class="label-group"><label>{name}</label><label class="small-label dim-label">{number}</label></div></li>',
	noResultsText: '<li class="medium" onclick="$(&apos;#newMessageDialog&apos;).hide();$(&apos;#conversationViewUnknownContactDialog&apos;).show();"><div class="avatar small float-left"><div class="icon s16 dim-label">{%- include symbolic/actions/list-add-symbolic.svg -%}</div></div><label>New Conversation</label></li>',
	limit: 10,
	fuzzy: false,
	exclude: ['Welcome']
})

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li>Call ${Contact Name}</li>',
		'<li>Search Messages</li>',
		'<li>Show Details</li>',
		'<li class="destructive-action">Delete conversation</li>',
		'</ul>'].join('');

	$('#conversationViewPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li>Call +1 499 028 1992</li>',
		'<li class="dim-label">Search Messages</li>',
		'<li>Show Details</li>',
		'<li class="destructive-action">Delete conversation</li>',
		'</ul>'].join('');

	$('#conversationViewUnknownContactPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});
</script>